// outline buttons
@mixin button-white($color, $color2, $shadow: 'false') {
    color: $color;
    border: 1px solid rgba($color, 0.2);
    transition: 0.3s;
    line-height: 1.25;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 2px;
    box-shadow: 0 4px 20px 0 rgba(0, 0, 0, 0.81);
    background-color: rgba(255, 255, 255, 0.8);
    &.active,
    &:active {
        color: $color2;
        border-color: $color2;
        background-color: transparent;
    }
    &:hover,
    &:focus {
        color: $color2;
        border-color: $color2;
        background-color:  rgba(255, 255, 255, 1);
    }
    &.disabled,
    &:disabled {
        color: $color;
        opacity: 0.7;
        background-color: transparent;
    }
    @if $shadow=='true' {
        &:hover,
        &:focus {
            box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2);
        }
    }
    @else {}
}


// outlined button
@each $color, $value in $theme-colors {

      .btn-white {
        // @include button-outline($value, $primary);
        @include button-white($value, rgba($white, 1), 'true');
      }

  }